function drawRobot(robot,wTr,T_w1,T_w2,transparency)
if nargin < 5
    transparency=1;
end
%draw body
face_colors=[0 0 1;1 0 0; 0 0 1; 0 0 1;0 0 1; 0 0 1];
w_body_vertices = wTr*robot.body_vertices';
w_body_vertices = w_body_vertices';
w_body_vertices = w_body_vertices(:,1:3); %Non-homogeneous
r=patch('Vertices',w_body_vertices,'Faces',robot.body_faces,'FaceVertexCData',face_colors,'FaceColor','flat','FaceAlpha',transparency);
axis equal;
%draw legs
for i=1:length(robot.leg_angles)
    %upper leg
    w_upper_leg_vertices = T_w1(:,:,i)*robot.upper_leg_vertices';
    w_upper_leg_vertices = w_upper_leg_vertices';
    w_upper_leg_vertices = w_upper_leg_vertices(:,1:3); %Non-homogeneous
    %lower leg
    w_lower_leg_vertices = T_w2(:,:,i)*robot.lower_leg_vertices';
    w_lower_leg_vertices = w_lower_leg_vertices';
    w_lower_leg_vertices = w_lower_leg_vertices(:,1:3); %Non-homogeneous



    ul(i)=patch('Vertices',w_upper_leg_vertices,'Faces',robot.leg_faces,'FaceColor','g','FaceAlpha',transparency);


    ll(i)=patch('Vertices',w_lower_leg_vertices,'Faces',robot.leg_faces,'FaceColor','m','FaceAlpha',transparency);


end


